﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;
using System.Data.Metadata.Edm;

namespace NorthwindModel
{
    public partial class NorthwindEntities
    {
        private static IEnumerable<Type> _entityTypes = null;
        public static IEnumerable<Type> GetKnownEntityTypes(ICustomAttributeProvider provider)
        {
            if (_entityTypes == null)
            {
                var objectItemCollection = new ObjectItemCollection();
                objectItemCollection.LoadFromAssembly(Assembly.GetExecutingAssembly());
                _entityTypes = from entityType in objectItemCollection.GetItems<EntityType>()
                               select objectItemCollection.GetClrType(entityType);

            }
            return _entityTypes;
        }
    }
}
