﻿// This project is a slightly modified version of Daniel Simmons' EntityBagSample.sln project from 
// the MSDN Code Gallery's Perseus: Entity Framework EntityBag example. The Service binding has been 
// changed from the original wsHttp to basicHttp binding to eliminate overhead from WS-Security
// signing and encryption. Message and transport logging to the NorthwindService folder is turned on.
// Note that the the absolute folder location is hardcoded. There are also minor changes to this 
// file to make the console data more readable.

// The code is licensed under the Microsoft Public License Ms-PL, which
// requires "including a complete copy of this license with your distribution." You will find a
// copy of the license as Ms-PL.txt in the folder for this program.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NorthwindModel;
using TestApp.ServiceReference1;
using Perseus;

namespace TestApp
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var svcClient = new Service1Client())
            {
                Console.WriteLine("Waiting for the NorthwindService to start on port 56475.");
                var bag = svcClient.GetCustomerAndOrders();
                Console.WriteLine(bag.Root.ContactName);
                foreach (Order order in bag.Root.Orders)
                {
                    Console.WriteLine("\t" + order.OrderID);
                }
                Console.WriteLine("Press any key to shut down the client and service.");
                Console.ReadLine();

                // add code here to modify the entity graph

                svcClient.UpdateCustomer(bag);
            }
        }
    }
}
